Get certified for free when you join Fabric Data Days 2026 and dive into Fabric, Power BI, SQL, AI, and other essential data skills.
Join nowTry your skills in the Power BI Dataviz World Championship! Round one ends June 26. Join now
Hi, I try to get a Power Bi Report List per c# code. My problem is to find the right URL for my workspace.
The error happens, when I try to get the report list from the xml string in line:
PBIReports PBIReports = JsonConvert.DeserializeObject<PBIReports>(json)
Can someone help please, I try:
var uri = String.Format("https://api.powerbi.com/v1.0/collections/{0}/workspaces/{1}/reports", workspaceName, workspaceId);
How I get workspaceName and the
workspaceId ?
Solved! Go to Solution.
@bprob wrote:
Hi, I try to get a Power Bi Report List per c# code. My problem is to find the right URL for my workspace.
The error happens, when I try to get the report list from the xml string in line:
PBIReports PBIReports = JsonConvert.DeserializeObject<PBIReports>(json)
Can someone help please, I try:
var uri = String.Format("https://api.powerbi.com/v1.0/collections/{0}/workspaces/{1}/reports", workspaceName, workspaceId);
How I get workspaceName and the
workspaceId ?
That collections and workspaces are for Power BI Embedded. You could find the collection name, workspaceid and accesskey in Azure portal.
GET /v1.0/collections/cisdemo/workspaces/79c71931-de23-49a8-a3c8-b79d2192fe0b/reports HTTP/1.1 Host: api.powerbi.com Authorization: AppKey KJixsmmw+NGNOtjDZTLOMxxxxxxxxxxxHFp7G45RYHRIO23ViXY8iE/zNVHROCmcaOIFr6a2vmQ==
To get the reports from Power BI Service, you could reference
GET /v1.0/myorg/groups/dc581184-a209-463b-8446-5432f16b6c15/reports HTTP/1.1 Host: api.powerbi.com Authorization: Bearer eyJ0eXAiOiJKV1QixxxxxxxxPclZvM0Q1_m0Y3PA0k0pnytbhhcAzpzS2Mw Content-Type: application/json
@bprob wrote:
Hi, I try to get a Power Bi Report List per c# code. My problem is to find the right URL for my workspace.
The error happens, when I try to get the report list from the xml string in line:
PBIReports PBIReports = JsonConvert.DeserializeObject<PBIReports>(json)
Can someone help please, I try:
var uri = String.Format("https://api.powerbi.com/v1.0/collections/{0}/workspaces/{1}/reports", workspaceName, workspaceId);
How I get workspaceName and the
workspaceId ?
That collections and workspaces are for Power BI Embedded. You could find the collection name, workspaceid and accesskey in Azure portal.
GET /v1.0/collections/cisdemo/workspaces/79c71931-de23-49a8-a3c8-b79d2192fe0b/reports HTTP/1.1 Host: api.powerbi.com Authorization: AppKey KJixsmmw+NGNOtjDZTLOMxxxxxxxxxxxHFp7G45RYHRIO23ViXY8iE/zNVHROCmcaOIFr6a2vmQ==
To get the reports from Power BI Service, you could reference
GET /v1.0/myorg/groups/dc581184-a209-463b-8446-5432f16b6c15/reports HTTP/1.1 Host: api.powerbi.com Authorization: Bearer eyJ0eXAiOiJKV1QixxxxxxxxPclZvM0Q1_m0Y3PA0k0pnytbhhcAzpzS2Mw Content-Type: application/json